server:
  port: 6060
spring:
  application:
    name: zhiyun
  datasource:
    username: xiangsong
    password: xiangsong@123
    url: jdbc:mysql://rm-uf6z3z6jq11x653d77o.mysql.rds.aliyuncs.com:3306/xiangsong?useUnicode=true&serverTimezone=CTT&characterEncoding=utf8&allowMultiQueries=true&autoReconnect=true&zeroDateTimeBehavior=convertToNull
    driver-class-name: com.mysql.cj.jdbc.Driver
    initial-size: 10 # 初始化连接数
    max-active: 20 # 最大连接数
    min-idle: 8 # 最小空闲数
    max-idle: 8 # 最大空闲数
  servlet:
    multipart:
      max-file-size: 10MB
      max-request-size: 50MB

##mybatis-plus
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    call-setters-on-nulls: true
  mapper-locations: classpath:mapper/**/*.xml
wx:
  miniapp:
    appid: wxd6f47a9bb3052175
    secret: 28f33b6bbc0f778c11a0bb234a7d6d4e
    token:
    aesKey:
    msgDataFormat: JSON
  tpls:
  - name: notice
    id: 6hWKexNlaVpAOvrcWxHHQ_Duz1gRIkg2-Clsktp2-Os
    keywords: 4
  - name: newCustomer
    id: WiBYjqkE9KvwDv1WSq5vnuv5A6FSaOB8ETFcrVmtCEI
    keywords: 4
  - name: mainbiz
    id: WiBYjqkE9KvwDv1WSq5vniGU4P0gvwlat-5ENYKpfxg
    keywords: 6
ali:
  accessKeyId: LTAIGQtIi28MfXms
  accessKeySecret: b6maakcdzEywmkhcK15rStx54hOiIA
  oss:
    endpoint: oss-cn-shanghai.aliyuncs.com
    bucketName: zhiyun-image
    bucketURL: https://zhiyun-image.oss-accelerate.aliyuncs.com

# 手机短信服务
sms:
  url: http://101.200.84.17:8081/sms
  method: POST
  contentType: "application/json;charset=UTF-8"
  template:
    code:
    tel:
    params:

  # 以下为各模板 code
  # 验证码
  captcha:
    # 模板 code
    code: "0301"
    # 有效时间 秒
    expire: 120
    # 验证码长度
    size: 4
    # 短信签名
    sign: 香颂

  visitor:
    code: "0501"

# 支付回调
pay-notify: https://dev.fangdeal.cn/api/notify/
#退款回调
pay-refund: https://dev.fangdeal.cn/api/refund/

# 支付回调
pay-new-notify:
  wx-bill-notify: https://a.t.njyunzhi.com/api/wxBillNotify
  ali-bill-notify:
  wx-car-notify:
  ali-car-notify:
  wx-tmp-notify:
  ali-tmp-notify:

#法大大服务器地址
fadada:
  appId: "403057"
  appSecret: "xcIaK36Vc09yXXRdinXYcXhW"
  version: "2.0"
  authServeHost: "http://test.api.fabigbig.com:8888/api/"
  serveHost: "https://testapi08.fadada.com/api/"
  companyNotify: "https://dev.fangdeal.cn/api/fadd/company"
  authReturnUrl: "https://dev.fangdeal.cn/channel/#/eContract/seal/detail?id="
  authNotifyUrl: "https://dev.fangdeal.cn/api/fadd/autoAuthCompanySeal"
  signNotify: "https://dev.fangdeal.cn/api/fadd/sign"
  redirectUrl: "https://dev.fangdeal.cn/other/redirect.html"
